ubuntu 10.10怎么启动到文本模式

为当前最终发行版之前的所有版本提供支持
回复
lfs09
帖子: 69
注册时间: 2008-04-24 9:20
送出感谢: 0
接收感谢: 0
联系:

ubuntu 10.10怎么启动到文本模式

#1

帖子 lfs09 » 2011-01-06 14:34

或都启动到图形界面的时候
终端输入 init 3
然后ctrl+alt+F1登陆进去后,怎么把gdm关掉

/etc/init.d/gdm stop 关不掉.郁闷
头像
enzymer
帖子: 103
注册时间: 2007-05-28 10:28
送出感谢: 0
接收感谢: 0
联系:

Re: ubuntu 10.10怎么启动到文本模式

#2

帖子 enzymer » 2011-01-06 14:41

代码: 全选

/etc/init.d/gdm stop
报什么错?
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: ubuntu 10.10怎么启动到文本模式

#3

帖子 leeaman » 2011-01-06 15:29

代码: 全选

sudo /etc/init.d/gdm stop
?
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
头像
懒蜗牛Gentoo
论坛版主
帖子: 7285
注册时间: 2007-03-02 17:36
送出感谢: 0
接收感谢: 95 次

Re: ubuntu 10.10怎么启动到文本模式

#4

帖子 懒蜗牛Gentoo » 2011-01-06 15:36

估计是三楼说的
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事
lfs09
帖子: 69
注册时间: 2008-04-24 9:20
送出感谢: 0
接收感谢: 0
联系:

Re: ubuntu 10.10怎么启动到文本模式

#5

帖子 lfs09 » 2011-01-06 18:49

显示内容如下
Rather than invoking init scripts through /etc/init.d,use the service(8) utility,e.g. service gdm stop
since the scripts you are attempting to invoke has been converted to an upstart job,you may also use the stop utility,e.g. stop gdm

sudo stop gdm

sudo service gdm stop
显示如下

warning:Fake initctl called,doing nothing,
头像
astolia
论坛版主
帖子: 3403
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 570 次

Re: ubuntu 10.10怎么启动到文本模式

#6

帖子 astolia » 2011-01-06 19:19

是要装nvidia驱动?直接装deb包呗
非要用官方的.run,直接kill就是
killall -9 gdm
lfs09
帖子: 69
注册时间: 2008-04-24 9:20
送出感谢: 0
接收感谢: 0
联系:

Re: ubuntu 10.10怎么启动到文本模式

#7

帖子 lfs09 » 2011-01-07 9:34

pgrep gdm
显示了一个 gdm-binary 进程
pkill gdm-binary 结束了gdm
我是nv的显卡,我要支持HDMI啊,要HDMI出声音啊...

用deb包,不行噻
lfs09
帖子: 69
注册时间: 2008-04-24 9:20
送出感谢: 0
接收感谢: 0
联系:

Re: ubuntu 10.10怎么启动到文本模式

#8

帖子 lfs09 » 2011-01-07 11:38

至于本贴的问题,很奇怪,我重装一下系统,就正常了,
我昨天第一次安装系统的时候,安装快完的时候,报错,然后没有重启,又重新安装,也格了盘的...奇怪

刚才重装系统,全盘格了...正常了...
tangbaby
帖子: 1
注册时间: 2008-12-02 9:51
送出感谢: 0
接收感谢: 0

Re: ubuntu 10.10怎么启动到文本模式

#9

帖子 tangbaby » 2011-03-29 10:56

我是 10.10,按照楼主的关不掉gdm
大家可以试试我的
用stop gdm
回复

回到 “老旧版本支持”